SDL_EGL_GetProcAddress(3)

NAME
SDL_EGL_GetProcAddress - Get an EGL library function by name.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_FunctionPointer SDL_EGL_GetProcAddress(const char *proc);

DESCRIPTION
If an EGL library is loaded, this function allows applications to get entry points for EGL functions. This is useful to provide to an EGL API and extension loader.

FUNCTION PARAMETERS

proc
    the name of an EGL function.

RETURN VALUE
Returns a pointer to the named EGL function. The returned pointer should be cast to the appropriate function signature.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_EGL_GetCurrentDisplay(3)